// [dependencies]
// reqwest = { version = "0.10.4", features = ["blocking", "json"] }
// tokio = { version = "0.2.13", features = ["full"] }

#[tokio::test]
async fn test_async() -> Result<(), Box<dyn std::error::Error>> {
    let resp = reqwest::get("https://httpbin.org/ip").await?
        .text().await?;
    println!("{:#?}", resp);
    Ok(())
}

pub fn test(uri: &str) -> Result<(), Box<dyn std::error::Error>> {
    let resp = reqwest::blocking::get(uri)?
        .text()?;
    println!("{:#?}", resp);
    Ok(())
}